summaryrefslogtreecommitdiff
path: root/dev-python/bleach
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/bleach
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/bleach')
-rw-r--r--dev-python/bleach/Manifest2
-rw-r--r--dev-python/bleach/bleach-3.1.4-r1.ebuild33
-rw-r--r--dev-python/bleach/bleach-3.1.5.ebuild38
-rw-r--r--dev-python/bleach/files/bleach-3.1.5-py39.patch36
-rw-r--r--dev-python/bleach/metadata.xml13
5 files changed, 122 insertions, 0 deletions
diff --git a/dev-python/bleach/Manifest b/dev-python/bleach/Manifest
new file mode 100644
index 000000000000..d0b4bc13f1cf
--- /dev/null
+++ b/dev-python/bleach/Manifest
@@ -0,0 +1,2 @@
+DIST bleach-3.1.4.tar.gz 177813 BLAKE2B 446740fcb7f2aa137d7353b0fbbebd57db9d571248b67f4d0a6a47baf3581aa3793431f68cf340bc8a0478d21e84aafca17538d069d74657285fdc4a06869586 SHA512 da233794954aad4e63e334d3c3bab9089e7767e0d784b8c51d12d2862ac6ed73ad5122b4d9cfd291ba7d9fc86a4a3b515429d7e383f241a46e3290acefa2ffc6
+DIST bleach-3.1.5.tar.gz 177972 BLAKE2B 6033871f757247f05ee67f66b3596c7a76a9bc5105113206bc8749f9ed103fb6a7c91630540f5f17ddc17e261b24043cc2edcc2562ea7f4cf54774080854de32 SHA512 20db9ab6924a1e884107f30e1059f774b45fd169d3965a61a4ff028e3de17e30be81474d7da89d9275b2173a005c5504a9d11f0e0ca528bf36a9bf08aeed0607
diff --git a/dev-python/bleach/bleach-3.1.4-r1.ebuild b/dev-python/bleach/bleach-3.1.4-r1.ebuild
new file mode 100644
index 000000000000..d80fe336be4a
--- /dev/null
+++ b/dev-python/bleach/bleach-3.1.4-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="an easy whitelist-based HTML-sanitizing tool"
+HOMEPAGE="https://github.com/mozilla/bleach https://pypi.org/project/bleach/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/html5lib-1.0.1-r1[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/webencodings[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle unpatched broken html5lib
+ rm -r bleach/_vendor || die
+ sed -i -e 's:bleach\._vendor\.::' \
+ bleach/html5lib_shim.py tests/test_clean.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/bleach/bleach-3.1.5.ebuild b/dev-python/bleach/bleach-3.1.5.ebuild
new file mode 100644
index 000000000000..db2a844f98ff
--- /dev/null
+++ b/dev-python/bleach/bleach-3.1.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="an easy whitelist-based HTML-sanitizing tool"
+HOMEPAGE="https://github.com/mozilla/bleach https://pypi.org/project/bleach/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.0.1-r1[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/webencodings[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${P}-py39.patch
+)
+
+src_prepare() {
+ # unbundle unpatched broken html5lib
+ rm -r bleach/_vendor || die
+ sed -i -e 's:bleach\._vendor\.::' \
+ bleach/html5lib_shim.py tests/test_clean.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/bleach/files/bleach-3.1.5-py39.patch b/dev-python/bleach/files/bleach-3.1.5-py39.patch
new file mode 100644
index 000000000000..ce1296236b6d
--- /dev/null
+++ b/dev-python/bleach/files/bleach-3.1.5-py39.patch
@@ -0,0 +1,36 @@
+diff --git a/tests/test_clean.py b/tests/test_clean.py
+index 133cd82..4dcb9f4 100644
+--- a/tests/test_clean.py
++++ b/tests/test_clean.py
+@@ -597,31 +597,16 @@ def test_attributes_list():
+ {'protocols': ['http']},
+ '<a href="example.com">valid</a>'
+ ),
+- (
+- '<a href="example.com:8000">valid</a>',
+- {'protocols': ['http']},
+- '<a href="example.com:8000">valid</a>'
+- ),
+ (
+ '<a href="localhost">valid</a>',
+ {'protocols': ['http']},
+ '<a href="localhost">valid</a>'
+ ),
+- (
+- '<a href="localhost:8000">valid</a>',
+- {'protocols': ['http']},
+- '<a href="localhost:8000">valid</a>'
+- ),
+ (
+ '<a href="192.168.100.100">valid</a>',
+ {'protocols': ['http']},
+ '<a href="192.168.100.100">valid</a>'
+ ),
+- (
+- '<a href="192.168.100.100:8000">valid</a>',
+- {'protocols': ['http']},
+- '<a href="192.168.100.100:8000">valid</a>'
+- ),
+
+ # Disallow implicit http if disallowed
+ (
diff --git a/dev-python/bleach/metadata.xml b/dev-python/bleach/metadata.xml
new file mode 100644
index 000000000000..5a79d9c28627
--- /dev/null
+++ b/dev-python/bleach/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">bleach</remote-id>
+ <remote-id type="github">mozilla/bleach</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>